﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections;
using System.Windows.Threading;
using System.ComponentModel;
using Telerik.Windows.Controls;
using Telerik.Windows.Controls.GridView;
using Telerik.Windows;
using Telerik.Windows.Data;
using System.Collections.ObjectModel;
using System.Windows.Data;

namespace SilverlightApplication1
{
    public partial class Page : UserControl
    {
        public Page()
        {
            InitializeComponent();

            GridViewTableDefinition modelsDefinition = new GridViewTableDefinition();
            modelsDefinition.Relation = new PropertyRelation("Models");
            RadGridView1.TableDefinition.ChildTableDefinitions.Add(modelsDefinition);

            RadGridView1.ItemsSource = from i in Enumerable.Range(0, 3)
                                       select new Car()
                                       {
                                           Name = String.Format("Car{0}", i),
                                           Models = from j in Enumerable.Range(0, 3)
                                                    select new Model()
                                                    {
                                                        Name = String.Format("Model{0}", j)
                                                    }
                                       };
        }
    }

    public class Car
    {
        public string Name { get; set; }
        public IEnumerable<Model> Models { get; set; }
    }

    public class Model
    {
        public string Name { get; set; }
    }
}
